This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513282 - Error Message Incorrect when Trying to add Group with GID already in use
Error Message Incorrect when Trying to add Group with GID already in use
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
11
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-22 16:14 EDT by Jenny Galipeau
Modified: 2010-01-12 13:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 13:23:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2009-07-22 16:14:01 EDT
Description of problem:
The error message states the a non-existent group already exists is you try and add a new group with a gid already in use.

Groups in DB:
[root@jennyF11 etc]# ldbsearch -H /var/lib/sss/db/sssd.ldb -b "cn=groups,cn=LOCAL,cn=sysdb"
asq: Unable to register control with rootdse!
# record 1
dn: cn=Groups,cn=LOCAL,cn=sysdb
cn: groups
description: Local POSIX groups
distinguishedName: cn=Groups,cn=LOCAL,cn=sysdb

# record 2
dn: name=group1009,cn=groups,cn=LOCAL,cn=sysdb
objectClass: group
name: group1009
gidNumber: 1009
createTimestamp: 1248293073
member: name=user1009,cn=users,cn=LOCAL,cn=sysdb
distinguishedName: name=group1009,cn=groups,cn=LOCAL,cn=sysdb

# record 3
dn: name=jgalipea,cn=groups,cn=LOCAL,cn=sysdb
objectClass: group
name: jgalipea
gidNumber: 500
createTimestamp: 1248204348
distinguishedName: name=jgalipea,cn=groups,cn=LOCAL,cn=sysdb

# returned 3 records
# 3 entries
# 0 referrals

Error Message:
[root@jennyF11 etc]# sss_groupadd -g 1009 group1008
The group group1008 already exists

Version-Release number of selected component (if applicable):

sssd-debuginfo-0.4.1-1.fc11.i586
sssd-0.4.1-1.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. add a new group and assign a valid gidNumber
2. try to add another group with different name but same gidNumber
3.
  
Actual results:
The group group1008 already exists

Expected results:
Error message stating that the GroupID is already in use

Additional info:
Comment 1 Jenny Galipeau 2010-01-12 13:43:17 EST
fix verified automated daily acceptance tests for regression

Note You need to log in before you can comment on or make changes to this bug.